//*************************************************************************
//* ------------
//* CDCVAnalysis
//* ------------
//* (Description)
//* 	Clasess to analyze CDC data.
//* (Update Record)
//*	2001/11/18  K.Fujii	Original version.
//*************************************************************************

#include "JSFSteer.h"
#include "CDCVAnalysis.h"
#include <iostream.h>

ClassImp(CDCVAnalysis)

//___________________________________________________________________________
CDCVAnalysis::CDCVAnalysis(const Char_t *name, const Char_t *title)
	: JSFModule(name, title)
{
}

//___________________________________________________________________________
CDCVAnalysis::~CDCVAnalysis()
{
}

//___________________________________________________________________________
Bool_t CDCVAnalysis::Initialize()
{
   return kTRUE;
}


//___________________________________________________________________________
Bool_t CDCVAnalysis::Process(Int_t ev)
{
   TDirectory *last = gDirectory;
   gFile->cd("/");
   
   //
   // Body of Analysis Program 
   //

   if (!(gROOT->IsBatch()) && ev%200 == 1) Draw();

   last->cd();
   return kTRUE;
}

